#include<iostream>
int main(){   
    long int y,x;
    int nam, razlika;
    std::cin>>y>>x;
    if(y<3 || x<3){
        nam = y * x;
    }else{
        nam = 2*x+(y-2)*2;
        razlika= y*x-nam;
        if(razlika % 2 != 0){
            for(int i=0;i<razlika;i++){
                if(i%2!=0){               
                    nam++;
                }
            }
        }else if(razlika % 2 == 0){
            nam = nam + razlika/2;
        }
    }
    std::cout<<nam;
}